import Qt 4.7
import "../common/widgets" as Widgets

ActivationBasePage
{
	headerString:		context.Localize("RegistrationFormHeader")
	nextButtonEnabled:	true

	Flickable
	{
		id: scrollView
		anchors.fill: parent
		contentHeight: Math.max(selfHeightedForm.height, height)
		interactive: false
		ActivationRegistrationWebView
		{
			id: selfHeightedForm
			width: parent.width
			html: context.RegistrationForm
			visible: height > parent.height
			focus: visible
		}
		ActivationRegistrationWebView
		{
			id: parentHeightedForm
			anchors.fill: parent
			html: context.RegistrationForm
			visible: !selfHeightedForm.visible
			focus: visible
		}
	}
	Widgets.FlickableScrollBar
	{
		id: scrollbar
		target: scrollView
		anchors.top: scrollView.top;
		anchors.topMargin: 5
		anchors.right: scrollView.right;
		anchors.rightMargin: 5
		anchors.bottom: scrollView.bottom;
		anchors.bottomMargin: 5
	}

	function getActiveForm()
	{
		return selfHeightedForm.visible ? selfHeightedForm : parentHeightedForm;
	}
	function onNext()
	{
		var query = getActiveForm().evaluateJavaScript("window.getFormData()");
		context.ActivationHtppResponse(query);
	}
	function onHelp()
	{
		Help.Show(44617);
	}
}
