import QtQuick 1.0
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper

ActivationBasePage
{
	headerString:			context.Localize("ActivationSubscriptionReplace_Header")
	backButtonEnabled:		true
	nextButtonEnabled:		replaceCheck.checked
	cancelButtonEnabled:	true
	objectName: "activationHasLicense"

	Column
	{
		anchors.left: parent.left
		anchors.right: parent.right
		anchors.verticalCenter: parent.verticalCenter
		spacing: 8
		AnimatedImage
		{
			anchors.horizontalCenter: parent.horizontalCenter
			source: "../common/images/license/ico_warning_96.png";
		}
		Text
		{
			font: activationWizard.fontStyles.stateTextForWaitingActivation
			text: context.Localize("ActivationSubscriptionReplace_Text")
			anchors.left: parent.left
			anchors.right: parent.right
			wrapMode: "WordWrap"
		}
		Widgets.Checkbox
		{
			id: replaceCheck
			checked: false
			text: context.Localize("ActivationSubscriptionReplace_Check")
			textfont: activationWizard.fontStyles.checkBoxTextRegistrationPage
			anchors.left: parent.left
			anchors.right: parent.right
			wrapMode: Text.WordWrap
		}
	}

	function onNext()
	{
		context.ActivateSubscriptionReplaceActive();
	}
}

