import Qt 4.7

Item
{
    signal clicked()
    signal entered
    signal exited
    signal pressed
    signal released

    id: baseButton
    objectName: "BaseButton"

    function setActiveFocus(delay)
    {
    	if (delay)
    	{
    		activateTimer.interval = delay;
    		activateTimer.running = true;
    	}
    	else
    		baseButton.forceActiveFocus();
    }
    
    FocusRect {}
    Keys.onSpacePressed: baseButton.clicked()
    Keys.onReturnPressed: baseButton.clicked()

    function selectValue(disabled, normal, hover, pressed)
    {
        if (!enabled)
            return disabled ? disabled: normal;
        if (state == "pressed" && pressed)
            return pressed;
        if ((state == "pressed" || state == "hover") && hover)
            return hover;
        return normal;
    }

    states
    {
        State
        {
            name: "normal"
            when: !mouseArea.containsMouse
        }
        State
        {
            name: "hover"
            when: mouseArea.containsMouse && mouseArea.pressedButtons != Qt.LeftButton
        }
        State
        {
            name: "pressed";
            when: mouseArea.containsMouse && mouseArea.pressedButtons == Qt.LeftButton;
        }
    }

    onActiveFocusChanged:
    {
        activateTimer.running = false;
    }
    Timer
    {
            id: activateTimer;
            running: false;
            onTriggered: baseButton.forceActiveFocus();
    }
        
    MouseArea
    {
        id:				mouseArea
        anchors.fill:	parent
        hoverEnabled:	parent.enabled
        onClicked: { baseButton.clicked() }

        Clickable {}

        onEntered:
        {
            baseButton.entered();
        }
        onExited:
        {
            baseButton.exited();
        }
        onPressed:
        {
            function buildPath(item)
            {
                var path = "";
                while (item)
                {
                    path = (item.objectName ? item.objectName : item) + (path ? "." + path : "");
                    item = item.parent;
                }
                return path;
            }

            Statistics.OnButtonClick(buildPath(parent));
            baseButton.pressed();
        }
        onReleased:
        {
            baseButton.released();
        }
    }
}
