import Qt 4.7
import "../fonts" as Fonts

SecondaryWindow
{
	property variant commonFontStyles: Fonts.Common{}
	objectName:	"notification"

	SystemPalette {id: activePalette}

	caption: context.Localize("Caption");
	hasFooter: false
	width: 500
	height: workAreaItem.childrenRect.height + 78
	showMinimize: false

	workArea : Item
	{
		objectName:	"workArea"
		Image
		{
			id: icon
			source: "../images/ico_warning_48.png"
			anchors.left: parent.left;
			anchors.leftMargin: 20
			anchors.top: parent.top;
			anchors.topMargin: 20
		}

		Text
		{
			id: title
			anchors.left: icon.right;
			anchors.leftMargin: 20;
			anchors.top: icon.top;
			anchors.right: parent.right;
			anchors.rightMargin: 20;
			text: context.Localize("ProblemDescription")
			wrapMode: Text.WordWrap
			font.family: "Tahoma"
			font.pointSize: 10
			font.bold: true
		}

		Text
		{
			id: description
			anchors.left: title.left;
			anchors.top: title.bottom;
			anchors.topMargin: 5
			anchors.right: parent.right;
			anchors.rightMargin: 20;
			text: context.Localize("ProblemSolution")
			wrapMode: Text.WordWrap
			font.family: "Tahoma"
			font.pointSize: 9
		}

		Row
		{
			anchors
			{
				right: parent.right
				rightMargin: 20
				top: description.bottom
				topMargin: 20
			}

			width: childrenRect.width
			spacing: 5
			objectName:	"row"

			GrayButton
			{
				objectName:	"GoToLicenseManagerButton"
				anchors.verticalCenter: parent.verticalCenter
				text: context.Localize("LicenseManager")
				onClicked:
				{
					Window.CloseOk();
				}
			}

			GrayButton
			{
				objectName:	"Cancel"
				anchors.verticalCenter: parent.verticalCenter
				text: context.Localize("Cancel")
				onClicked: Window.Close()
			}
		}
	}
}
