import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Item
{
    id: searchbox
    objectName: "SearchBox"
    height: focusScope.height
    width: focusScope.width
    property alias text : textInput.text
    signal textChanged
    clip: true
    property alias sfocus: textInput.focus
    property variant commonFontStyles: Fonts.Common{}

    property variant searchList: 0
    property variant context: MainWindow
    property alias isActiveFocus: textInput.activeFocus
    function setActiveFocus()
    {
        textInput.forceActiveFocus();
    }
    Item
    {
        id: focusScope
        objectName: "focusScope"
        height: image.height
        width: image.width
        property alias caption: textInput.text

        Image
        {
            id: image
            source: "image://preload/common/images/main_window/search/searchbox.png"
        }

        Item {
            id: verticalCenter
            anchors.verticalCenter: parent.verticalCenter
            anchors.verticalCenterOffset: 3
        }

        Widgets.Button
        {
            id: clearTextButton
            objectName: "ClearText"
            anchors.verticalCenter: verticalCenter.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 10
            buttonWidth: 20;
            buttonHeight: 20;
            iconImage: "image://preload/common/images/main_window/search/clear_search.png"
            iconHoverImage: "../images/main_window/search/clear_search_hover.png"
            visible: textInput.text != ""
            onClicked: textInput.text = ""
        }

        Item
        {
            id: textArea
            anchors.verticalCenter: verticalCenter.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.right: clearTextButton.left
            anchors.rightMargin: 10
            height: parent.height

            Text
            {
                id: typeSomething;
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
                anchors.right: parent.right
                verticalAlignment: Text.AlignVCenter
                text: context.Localize("EnterSearchText")
                color: "#646464";
                font: commonFontStyles.standardEditBoxHintFont
            }

	Widgets.EditableMessageArea{anchors.fill: textInput}
            TextInput
            {
                id: textInput
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
                anchors.right: parent.right
                font.pointSize: 11;
                color: "black"
                focus: true
                selectByMouse:true
                onTextChanged: searchbox.textChanged()
            }
            states: State
            {
                name: "hasText"; when: textInput.text != ''
                PropertyChanges { target: typeSomething; opacity: 0 }
            }

            transitions:
            [
                Transition
                {
                    from: ""; to: "hasText"
                    NumberAnimation { exclude: typeSomething; properties: "opacity" }
                },
                Transition
                {
                    from: "hasText"; to: ""
                    NumberAnimation { properties: "opacity" }
                }
            ]
        }
    }
}
