import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/border" as Border

Border.BorderedContent
{
    id: "cleanSandBox"
    objectName: "cleanSandBox"
    content: dialog
    Widgets.SecondaryWindow
    {
        id: dialog
        objectName: "CleanSafeDesktopDialog"
        property variant context: Sandbox
        property variant standartFontStyles: Fonts.Common{}

        width:	550
        height: 280

        caption: context.Localize("CleanSafeDesktopCaption")
        workArea : Item
        {
            id: mainArea
            objectName: "mainArea"
            anchors.fill: parent
            anchors.topMargin:	30
            anchors.leftMargin: 30
            anchors.rightMargin: 30

            Image
            {
                id: bigIcon
                source: "../common/images/ico_warning_32.png"
                y: 4
            }

            Column
            {
                anchors
                {
                    left: bigIcon.right
                    leftMargin: 20
                    right: parent.right
                }
                objectName: "column"

                Text
                {
                    id: bigText
                    text: dialog.context.Localize("CleanSafeDesktopAgree")
                    font: dialog.standartFontStyles.standardBoldSubHeadingFont
                    wrapMode: "WordWrap"
                }
                Item { width: parent.width; height: 8}

                Text
                {
                    anchors.left: parent.left
                    anchors.leftMargin: bigText.x
                    anchors.right: parent.right
                    width: parent.width
                    text: dialog.context.Localize("CleanSafeDesktopDesription") + " " + dialog.context.Localize("CleanSafeDesktopWarning")
                    font: dialog.standartFontStyles.standardCommonTextFont
                    wrapMode: "WordWrap"
                }
                Item { width: parent.width; height: 12}

                Widgets.GrayButton
                {
                    x: bigText.x
                    objectName: "SafeFolderAction"
                    text:  dialog.context.Localize("SafeFolderAction")
                    onClicked: Sandbox.OpenSafeFolderAction.Invoke()
                }
            } //mainArea
        }

        buttonsArea : Item
        {
			objectName: "buttonsArea"
            Widgets.HelpButton
            {

                x: 10
                objectName: "CleanSafeDesktop_HelpButton"
                text: dialog.context.Localize("Help");
                onClicked: { cleanSandBox.showHelp(); }
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
            }

            Row
            {
                spacing: 8
                height: parent.height
                anchors.right: parent.right;
                objectName: "buttonsRow"

                Widgets.GrayButton
                {
                    objectName: "CleanSafeDesktop_CleanButton"
                    text: dialog.context.Localize("CleanSanbox");
                    onClicked: { dialog.context.CleanSafeDesktopAction.Invoke(); Window.Close(); }
                    verticalMargin: 10
                    horizontalMargin: 20
                    anchors.verticalCenter: parent.verticalCenter
                }

                Widgets.GrayButton
                {
                    objectName: "CleanSafeDesktop_CancelButton"
                    text: dialog.context.Localize("Cancel");
                    onClicked: { Window.Close() }
                    anchors.verticalCenter: parent.verticalCenter
                    verticalMargin: 10
                    horizontalMargin: 20
                }
            }
        }
    }
    function showHelp() { Help.Show(44169); }
    Keys.onPressed: { if (event.key == Qt.Key_F1) showHelp(); }
}
