import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts



Widgets.PageFrame
{
	id:			safeDesktopWelcome
	objectName:	"SafeDesktopWelcome"

	property variant fontStyles: Fonts.SandBox{}
    property variant commonFontStyles: Fonts.Common{}
	property variant context: SafeDesktopWelcomeScreen

	windowDescriptionText: context.Localize("SafeDesktopWelcomeScreenWindowHeader")

	hasBanner: false
	helpButtonVisible: false
	minimizeButtonEnabled: true
	minimizeButtonVisible: true
	cancelButtonText: context.Localize("CloseButton")

	onNext:	context.PurchaseLicenseAction.Invoke(objectPath)
	Connections {onClose: if (!parent) Window.Close();}

	Item
	{
		id: workingArea
		objectName: "workingArea"
		anchors.fill: parent
        anchors.topMargin: 29
        anchors.leftMargin: 10
        anchors.bottomMargin: 43
        anchors.rightMargin: 10
		clip: true

		Image
		{
			anchors.fill: parent
			source: "../common/images/startup/pattern.png"
			fillMode: Image.Tile
		}

		Column
		{
			anchors.top:				parent.top
			width: 						parent.width
			anchors.horizontalCenter:	parent.horizontalCenter
			spacing: 0

            Item {height: 40; width: 1}

			Image
			{
				anchors.horizontalCenter:	parent.horizontalCenter
				source:			"../common/images/sandbox/logo.png"
			}

            Item {height: 40; width: 1}

            Text
			{
				id:				headerText
				width:			parent.width
				horizontalAlignment: Text.AlignHCenter

				text:			context.Localize("SafeDesktopWelcomeScreenHeader")
                font:			fontStyles.headerWelcomeFont
                color:			"#505050"
            }

            Item {height: 30; width: 1}

			Image
			{
				anchors.horizontalCenter:	parent.horizontalCenter
				source:			"../common/images/sandbox/bg_shadow.png"
			}

            Item {height: 0; width: 1}

			Item
			{
				width:	parent.width
				height: childrenRect.height
				anchors.left:	parent.left
                anchors.leftMargin: 50
				ListModel
				{
					id: infoModel
					ListElement{textInfo:	"SafeDesktopWelcomeScreenInfo1"}
					ListElement{textInfo:	"SafeDesktopWelcomeScreenInfo2"}
					ListElement{textInfo:	"SafeDesktopWelcomeScreenInfo3"}
				}

				Component
				{
					id:				infoDelegate
					Row
					{
						width:			parent.width
                        spacing: 		10
						Image
						{
							anchors.top: parent.top
							anchors.topMargin: 3
							source: "../common/images/sandbox/green_dot.png"
						}
						Text
						{
							width:		parent.width
							text:		context.Localize(textInfo)
							font:		fontStyles.infoWelcomeFont
							wrapMode:	Text.Wrap
						}
					}
				}
				Row
				{
					width: parent.width;
					height: childrenRect.height
					spacing: 30
					Image
					{
						source: "../common/images/sandbox/ico_safe_desktop_96.png"
					}

					ListView
					{
						width:			400
						onContentHeightChanged: height = contentHeight
				        Component.onCompleted: height = contentHeight
                        spacing:		16
						model:			infoModel
						interactive:	false
						delegate:		infoDelegate
					}
				}
			}
		}

		Text
		{
            width:			parent.width - 100
			anchors.bottom: parent.bottom
            anchors.bottomMargin: 18
			color: "Gray"
			font:			fontStyles.bottomInfoFont
            anchors.horizontalCenter: parent.horizontalCenter
			horizontalAlignment: Text.AlignHCenter
			wrapMode: Text.Wrap
			text:			context.Localize("SafeDesktopWelcomeScreenFooter")
		}
	}

	onCancel: 
	{
		context.ShowSafeDesktopWelcomeScreen = !showWindowCheckBox.checked
		Window.Close();
	}

	Widgets.CheckBox
	{
		id:			showWindowCheckBox
		objectName:	"showWindowCheckBox"
		anchors.left: workingArea.left
		anchors.top: workingArea.bottom
        anchors.topMargin: 13
        anchors.leftMargin: -2
        horizontalMargin: 6
        textVerticalMargin: 0
		text:		context.Localize("SafeDesktopWelcomeScreenCheckBox")
		checked:	!context.ShowSafeDesktopWelcomeScreen
	}
}
