import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../main_window" as MainFrame

MainFrame.InnerContent
{
	objectName: "SafeProgramsStartupPanel"
	caption: MainWindow.Localize("SafeProgramsStartup")
	property int helpId: 43873

	viewArea: Component
	{
		Item
		{
			property variant context: MainWindow.sandbox
            property variant commonFontStyles: Fonts.Common {}
            objectName: "safeProgramViewArea"
			
			Keys.onPressed:
			{
				if (Qt.Key_Enter == event.key)
				{
					gotoSafeStartup.clicked()
				}
			}

			Image
			{
				id: bigIcon
				anchors.top: workingArea.top
                anchors.topMargin: 2
				anchors.horizontalCenter: parent.left
				anchors.horizontalCenterOffset: workingArea.x / 2
				source: "../common/images/sandbox/ico_safe_desktop_48.png"
				fillMode: Image.PreserveAspectFit
			}
			
			Item
			{
				id: workingArea
				objectName: "workingArea"
				anchors.left:		parent.left
				anchors.leftMargin: 107
				anchors.right:		parent.right
				anchors.rightMargin: 30
				anchors.top: parent.top
				anchors.topMargin: 45

                Widgets.StandardCaptionText
				{
					id: safeDesktopDescription
					text: context.Localize(context.IsRunInSafeDesktop ? "SafeDesktopToNativeCaption" : "SafeProgramsStartupCaption")
				}

				Text
				{
					id: descriptionText
					anchors.top: safeDesktopDescription.bottom
                    anchors.topMargin: 6
					anchors.right: parent.right
					anchors.left: parent.left
					text: context.Localize(context.IsRunInSafeDesktop ? "SafeDesktopToNativeDescription" : "SafeProgramsStartupDescription")
					font: commonFontStyles.standardCommonTextFont
					wrapMode: "WordWrap"
                    lineHeight: 1.1
				}
				
				Widgets.ComboButtonGreen
				{
					id: openSafeDesktopButton
					anchors.top: descriptionText.bottom
                    anchors.topMargin: 12
					objectName: "OpenSafeDesktopAction"
					actionList: context.SafeDesktopActions
					property QtObject tempElement
					onPressed:
					{
						if(index < actionList.length)
						{
							tempElement = actionList[index];
							if(tempElement.action != undefined)
								tempElement.action.Invoke()
						}
					}
				}
				
				Text
				{
					id: safeDesktopFolderCaption
					anchors.top: openSafeDesktopButton.bottom
                    anchors.topMargin: 24
					text:  context.Localize("SafeFolder")
					font: commonFontStyles.standardBoldSubHeadingFont
					wrapMode: "WordWrap"
				}

				Text
				{
					id: safeDesktopFolderDescription
					anchors.top: safeDesktopFolderCaption.bottom
                    anchors.topMargin: 6
					width: parent.width
					text:  context.Localize("SafeDesktopFolderDescription")
					font: commonFontStyles.standardCommonTextFont
					wrapMode: "WordWrap"
                    lineHeight: 1.1
				}

				Widgets.GrayButton
				{
					// fixed buttons position independent to localization
					id: openSafeDesktopFolderButton
					anchors.top: safeDesktopFolderDescription.bottom
					anchors.topMargin: 10
					objectName: "OpenSafeDesktopFolderAction"
					text: context.Localize("SafeFolderAction")
					onClicked:
					{
						context.OpenSafeFolderAction.Invoke()
					}
				}
			}
		}
	}
}
