import Qt 4.7
import "../common/EnumHelper.js" as EnumHelper
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets
import "../common/Colors.js" as Colors

Rectangle
{
	objectName: "backView"
    property string backgroundColor: "transparent"
	property string buttonImage: "../images/widgets/key_gray.png"
	property variant commonFontStyles: Fonts.Common{}
    border.color: Colors.grayBorder
    color: "transparent"
    radius: 5

        Widgets.EmbeddedMessageBox
	{
		objectName:		"StopMessageBox"
		width:			parent.width
		height:			parent.height
		color:			askPanel.backgroundColor
		font:	 		commonFontStyles.standardBoldSubHeadingFont
		text:				scan.askStopScan
		leftButtonText:		scan.contextScan.Localize("YesButtonText")
		rightButtonText:	scan.contextScan.Localize("NoButtonText")
		buttonsWidth:		120
		buttonsHeight:		34

		onLeftClicked:
		{
			setFrontPosition()
			scan.contextScan.Stop()
		}
		onRightClicked:
		{
			setFrontPosition()
		}

		visible: askPanel.state == "askStopScan"
	}
        Widgets.EmbeddedMessageBox
	{
		objectName:		"ResumeMessageBox"
		width:			parent.width
		height:			parent.height
		color:			askPanel.backgroundColor
		font:	 		commonFontStyles.standardBoldSubHeadingFont
		text:				scan.askResumeScan
		leftButtonText:		scan.contextScan.Localize("AcceptResumeButtonText")
		rightButtonText:	scan.contextScan.Localize("RejectResumeButtonText")
		buttonsWidth:		140
		buttonsHeight:		34

		onLeftClicked:
		{
			setFrontPosition()
			scan.contextScan.Resume()
		}
		onRightClicked: startScan()

		visible: askPanel.state == "askResumeScan"
	}
	states:
	[
		State
		{
			name: "askStopScan"
		},
		State
		{
			name: "askResumeScan"
		}
	]
}
