import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/border" as Border

Border.BorderedContent
{
    content: report
    objectName: "taskManagerBorder"
    Widgets.SecondaryWindow
    {
        property variant commonFontStyles: Fonts.Common{}
		objectName: "taskManager"
        id: report
        y:0
        width: 650;
        height: workAreaItem.contentHeight + 29 /* top margin */ + 44 /* bottom margin */
        caption: TaskList.Localize("TaskManager");

        buttonsArea: Item
        {
			objectName: "bottomButtonsArea"

            Widgets.HelpButton
            {
                x: 10
                objectName: "TaskList_HelpButton"
                context: TaskList
                onClicked: { Help.Show(43745); }
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
            }

            Row
            {
				objectName: "row"
                anchors
                {
                    verticalCenter: parent.verticalCenter
                    right: parent.right
                }
                spacing: 5
                Widgets.GrayButton
                {
					objectName: "clearButton"
                    anchors.verticalCenter: parent.verticalCenter
                    text:TaskList.Localize("ClearButton")
                    onClicked: TaskList.ClearHistory()
                }
                Widgets.GrayButton
                {
					objectName: "closeButton"
                    anchors.verticalCenter: parent.verticalCenter
                    text:TaskList.Localize("CloseButton")
                    onClicked: Window.Close()
                }
            }
        }
        workArea : Item
        {
			objectName: "taskListHolder"
            property alias contentHeight: taskList.contentHeight
            TaskList
            {
                id: taskList
                anchors.fill: parent
            }
        }
    }
}
